Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libfame
Version:	0.9.1
Release:	4
Provides:	%{name}
License:	GNU/GPL 
URL:		http://fame.sourceforge.net/
Group:		Video
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aclocal.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	libfame is a fast (real-time) MPEG-1 as well as MPEG-4 rectangular and arbitrary shaped video encoding library.

%description
libfame is a fast (real-time) MPEG-1 as well as MPEG-4 rectangular and arbitrary shaped video encoding library.
For more details see: http://fame.sourceforge.net/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# sed -i "s:AC_DEFUN(AM_PATH_LIBFAME,:AC_DEFUN([AM_PATH_LIBFAME],:" $RPM_BUILD_ROOT%_datadir/aclocal/libfame.m4
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_bindir
%_aclocal
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 20 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.1-4
- removed sed replacements wit aclocal patch
- moved more files to devel package
* Sat Nov 19 2005 Uli Schukraft <schukraft@ccux-linux.de> 0.9.1-3
- Removed unnecessary Obsoletes-Tag
* Thu Apr 21 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.1-2
- rebuild for aclocal
